templates:
- freestyle
- base

variables:
  shell.command: |
    for FILE in \$(find ${toolkit.dir}/share/repository -name "*.pom") ; do
      echo $FILE

      cd \$(dirname "\${FILE}")
      BASENAME="\$(basename \${FILE%.*})"

      REPO=releases

      if echo "$FILE" | grep -q "SNAPSHOT"; then
          REPO=snapshots
      fi

      echo "uploading \${BASENAME} ..."
      CMD="mvn deploy:deploy-file -Dfile=\${BASENAME}.jar -Durl=https://mvn.cit-ec.de/nexus/content/repositories/\${REPO}/ -DgeneratePom=false -DrepositoryId=mvn.citec -DpomFile=\${BASENAME}.pom"

      $CMD || true

    done

versions:
  - name: master
